
/**
 * Trieda definujúca jedlo.
 */
public class Jedlo extends Robot
{
	/**
	 * Konštruktor, v ktorom definujeme základné vlastnosti jedla.
	 */
	public Jedlo()
	{
		farba(červená);
		veľkosť(15);
		náhodnáPoloha();
	}

	/**
	 * Kreslenie vlastného tvaru jedla.
	 */
	@Override public void kresli()
	{
		kruh(veľkosť());
	}

	/**
	 * Prekrytie metódy na generovanie náhodnej polohy jedla. Originálna
	 * metóda pracuje tak, že umiestni robota (jedlo) na náhodnú polohu
	 * v rámci celého plátna. Táto prekrytá metóda upravuje svoje správanie
	 * tak, aby náhodné umiestnenie bolo iba v rámci viditeľnej časti
	 * plátna (t. j. v rámci okrajov).
	 */
	@Override public void náhodnáPoloha()
	{
		skočNa(
			svet.náhodnéReálneČíslo(
				svet.ľavýOkraj(), svet.pravýOkraj()),
			svet.náhodnéReálneČíslo(
				svet.spodnýOkraj(), svet.hornýOkraj()));
	}
}
