
/**
 * Trieda definujúca článok tela hadíka.
 */
public class ČlánokTela extends Robot
{
	/**
	 * Konštruktor prijímajúci číselný argument určujúci poradové číslo
	 * článka tela hadíka. Z prijatej hodnoty je vypočítaná veľosť tohto
	 * článka hadíka. Čím vyššie poradové číslo, tým menšia veľkosť.
	 * Najmenšia možná veľkosť je 1.
	 */
	public ČlánokTela(int poradieČlánku)
	{
		farba(zelená);
		hrúbkaČiary(4);

		int mojaVeľkosť = 8 - poradieČlánku / 3;

		if (mojaVeľkosť < 1)
			veľkosť(1);
		else
			veľkosť(mojaVeľkosť);
	}

	/**
	 * Kreslenie vlastného tvaru článka.
	 */
	@Override public void kresli()
	{
		skoč(svet.náhodnéCeléČíslo(-3, 3),
			svet.náhodnéCeléČíslo(-3, 3));

		kruh(veľkosť());
		posuňVľavo(veľkosť() + 3);
		posuňVpravo(2 * veľkosť() + 5);
	}
}
